using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ADODOTNET2
{
    public partial class BindingToProp : Form
    {

        BindingSource bSource = new BindingSource();
        DataGridView dgv = new DataGridView();

        public BindingToProp()
        {
            // Bind the BindingSource to the DemoCustomer type.
            bSource.DataSource = typeof(DemoCustomer);

            // Set up the DataGridView control.
            dgv.Dock = DockStyle.Fill;
            this.Controls.Add(dgv);

            // Bind the DataGridView control to the BindingSource.
            dgv.DataSource = bSource;
        }
    }

    // This simple class is used to demonstrate binding to a type.
    public class DemoCustomer
    {
        // These fields hold the data that backs the public properties.
        DateTime birthDateValue = DateTime.MinValue;
        Guid idValue = Guid.NewGuid();

        // This is a property that represents a birth date.
        public DateTime BirthDate
        {
            get
            {
                return this.birthDateValue;
            }
            set
            {
                if (value != this.birthDateValue)
                {
                    this.birthDateValue = value;
                }
            }
        }

        // This is a property that represents a customer ID.
        public Guid ID
        {
            get
            {
                return this.idValue;
            }
        }
    }
}